Bug 65119 - fails to open becuase of font / permission isssues
fails to open becuase of font / permission isssues
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-17 16:28 EDT by sean
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-17 16:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean 2002-05-17 16:28:52 EDT
Description of Problem: When I try to open netscape as a user I get:

[system@daddy system]$ netscape
ERROR: /usr/lib/netscape/plugins/.nautilus-metafile.xml: cannot open
shared object file: Permission denied
Cant load plugin /usr/lib/netscape/plugins/.nautilus-metafile.xml. Ignored.
Warning: Cannot convert string
"*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string
"*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"-*-helvetica-medium-r-normal-*-*-120-*-*-*-*-iso8859-*" to type FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string
"-*-helvetica-medium-r-normal-*-*-120-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"-*-helvetica-medium-r-normal-*-*-120-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"-*-helvetica-medium-r-*-*-*-100-*-*-*-*-iso8859-*" to type FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string
"-*-helvetica-medium-r-*-*-*-100-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"-*-helvetica-bold-r-*-*-*-100-*-*-*-*-iso8859-*" to type FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string
"-*-helvetica-bold-r-*-*-*-100-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"-*-helvetica-medium-o-*-*-*-100-*-*-*-*-iso8859-*" to type FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string
"-*-helvetica-medium-o-*-*-*-100-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"-*-helvetica-medium-r-*-*-*-100-*-*-*-*-iso8859-*,-*-helvetica-bold-r-*-*-*-100-*-*-*-*-iso8859-*=BOLD,-*-helvetica-medium-o-*-*-*-100-*-*-*-*-iso8859-*=ITALIC"
to type FontList
Warning: Cannot convert string
"-*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string
"-*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"-*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"-adobe-courier-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontStruct
Warning: Unable to load any usable ISO8859 font
Warning: Cannot convert string
"-adobe-courier-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontList
Warning: Cannot convert string
"-adobe-courier-medium-r-*-*-*-120-*-*-*-*-iso8859-*" to type FontList
Bus error

When I try as root:

[root@daddy root]# netscape
ERROR: /usr/lib/netscape/plugins/.nautilus-metafile.xml: invalid ELF header
Cant load plugin /usr/lib/netscape/plugins/.nautilus-metafile.xml. Ignored.
Warning: This program is an suid-root program or is being run by the
root user.
The full text of the error or warning message cannot be safely formatted
in this environment. You may get a more descriptive message by running the
program as a non-root user or by removing the suid bit on the executable.
Warning: Cannot convert string "%s" to type %s
Warning: Unable to load any usable ISO8859 font
Warning: This program is an suid-root program or is being run by the
root user.
The full text of the error or warning message cannot be safely formatted
in this environment. You may get a more descriptive message by running the
program as a non-root user or by removing the suid bit on the executable.
Warning: Cannot convert string "%s" to type %s
Warning: This program is an suid-root program or is being run by the
root user.
The full text of the error or warning message cannot be safely formatted
in this environment. You may get a more descriptive message by running the
program as a non-root user or by removing the suid bit on the executable.
Warning: Cannot convert string "%s" to type %s
Warning: This program is an suid-root program or is being run by the
root user.
The full text of the error or warning message cannot be safely formatted
in this environment. You may get a more descriptive message by running the
program as a non-root user or by removing the suid bit on the executable.
Warning: Cannot convert string "%s" to type %s
Warning: Unable to load any usable ISO8859 font
Warning: This program is an suid-root program or is being run by the
root user.
The full text of the error or warning message cannot be safely formatted
in this environment. You may get a more descriptive message by running the
program as a non-root user or by removing the suid bit on the executable.
Warning: Cannot convert string "%s" to type %s
Warning: This program is an suid-root program or is being run by the
root user.
The full text of the error or warning message cannot be safely formatted
in this environment. You may get a more descriptive message by running the
program as a non-root user or by removing the suid bit on the executable.
Warning: Cannot convert string "%s" to type %s
Warning: This program is an suid-root program or is being run by the
root user.
The full text of the error or warning message cannot be safely formatted
in this environment. You may get a more descriptive message by running the
program as a non-root user or by removing the suid bit on the executable.
Warning: Cannot convert string "%s" to type %s
Warning: Unable to load any usable ISO8859 font


Version-Release number of selected component (if applicable):

[root@daddy root]# rpm -qa | grep nets
netscape-common-4.79-1
netscape-communicator-4.79-1


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
I've restarted xfs. /var/log/messages:
May 17 16:26:39 daddy Font Server[12675]: terminating 
May 17 16:26:39 daddy xfs: xfs shutdown succeeded
May 17 16:26:39 daddy xfs: listening on port 7100 
May 17 16:26:39 daddy xfs: xfs startup succeeded

[root@daddy root]# rpm -qa | grep font
ttfonts-1.0-9
XFree86-base-fonts-4.2.0-8
XFree86-ISO8859-15-100dpi-fonts-4.2.0-8
XFree86-font-utils-4.2.0-8
chkfontpath-1.9.5-2
urw-fonts-2.0-17
XFree86-75dpi-fonts-4.2.0-8
XFree86-ISO8859-15-75dpi-fonts-4.2.0-8
XFree86-truetype-fonts-4.2.0-8
ghostscript-fonts-5.50-3
XFree86-100dpi-fonts-4.2.0-8
Comment 1 sean 2002-05-17 23:07:23 EDT
We just had a thunderstorm, and a power outage. Forced reboot. Now it works.
Something needed to be restarted in addition to xfs.

jay

Note You need to log in before you can comment on or make changes to this bug.